﻿using System;
using Newtonsoft.Json;

namespace Kreta.Client.FileService.Model
{
    public class FileData
    {
        public FileData(string utvonal, Guid fajlAzonosito)
        {
            if (string.IsNullOrWhiteSpace(utvonal))
            {
                throw new ArgumentNullException(nameof(utvonal));
            }

            if (fajlAzonosito == Guid.Empty)
            {
                throw new ArgumentException(nameof(fajlAzonosito));
            }

            Utvonal = utvonal;
            FajlAzonosito = fajlAzonosito;
        }

        [JsonProperty(PropertyName = "utvonal")]
        public string Utvonal { get; set; }

        [JsonProperty(PropertyName = "fajlAzonosito")]
        public Guid FajlAzonosito { get; set; }
    }
}
